/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.identitytoolkit.model;

import com.google.api.client.json.GenericJson;

/**
 * Template for an individual account info.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Identity Toolkit API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Userinfo extends GenericJson {

  /**
   * email
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String email;

  /**
   * Identifies this object as a user info.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * user's id at the site
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String localId;

  /**
   * password
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String password;

  /**
   * salt
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String salt;

  /**
   * email
   * The value returned may be {@code null}.
   */
  public String getEmail() {
    return email;
  }

  /**
   * email
   * The value set may be {@code null}.
   */
  public Userinfo setEmail(String email) {
    this.email = email;
    return this;
  }

  /**
   * Identifies this object as a user info.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this object as a user info.
   * The value set may be {@code null}.
   */
  public Userinfo setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * user's id at the site
   * The value returned may be {@code null}.
   */
  public String getLocalId() {
    return localId;
  }

  /**
   * user's id at the site
   * The value set may be {@code null}.
   */
  public Userinfo setLocalId(String localId) {
    this.localId = localId;
    return this;
  }

  /**
   * password
   * The value returned may be {@code null}.
   */
  public String getPassword() {
    return password;
  }

  /**
   * password
   * The value set may be {@code null}.
   */
  public Userinfo setPassword(String password) {
    this.password = password;
    return this;
  }

  /**
   * salt
   * The value returned may be {@code null}.
   */
  public String getSalt() {
    return salt;
  }

  /**
   * salt
   * The value set may be {@code null}.
   */
  public Userinfo setSalt(String salt) {
    this.salt = salt;
    return this;
  }

}
